package pps.core.space.service.data.space_institution_wellhead;

import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import pps.core.space.service.data.space_institution_duration.UpdateSpaceInstitutionDurationInput;
import xstartup.annotation.XText;

import java.math.BigDecimal;
import java.util.List;

/**
 * 间开制度井口配置
 *
 * @author ZWT
 * @date 2023/09/05
 */
@Data
public class UpdateSpaceInstitutionWellheadInput {

    @XText("井口ID")
    @NotBlank(message = "缺少井口ID")
    private String wellheadId;

    @XText("井号")
    @NotBlank(message = "缺少井号")
    private String wellNumber;

    @XText("运行类型key(字典获取)")
    private String runTypeKey;

    @XText("间开类型key(字典获取)")
    private String intervalTypeKey;

    @XText("间开描述")
    private String intervalDescribe;

    @XText("启动顺序")
    private Integer startSeq;

    @XText("开井天数")
    private Integer openWellDay;

    @XText("关井天数")
    private Integer closeWellDay;

    @XText("运行时长（小时/天）")
    private BigDecimal runDuration;

    @XText("单次最高开井时长(h)")
    private Integer maxOpen;

    @XText("单次最低开井时长(h)")
    private Integer minOpen;

    @XText("单次最高关井时长(h)")
    private Integer maxClose;

    @XText("单次最低关井时长(h)")
    private Integer minClose;

    /**
     * 间开制度小间开时段配置
     */
    @XText("间开制度小间开时段配置")
    private List<UpdateSpaceInstitutionDurationInput> durationList;
}
